com.here.msdkui.guidance

## Class GuidanceStreetLabelPresenter

- java.lang.Object
- - com.here.msdkui.guidance.base.BaseGuidancePresenter
  - - com.here.msdkui.guidance.GuidanceStreetLabelPresenter

-     public class GuidanceStreetLabelPresenter
      extends BaseGuidancePresenter

  Class that creates `GuidanceStreetLabelData` objects on maneuver update and feds them into registered listeners (e.g. `GuidanceStreetLabelView`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuidanceStreetLabelPresenter(android.content.Context context, com.here.android.mpa.guidance.NavigationManager navigationManager, com.here.android.mpa.routing.Route route)` Constructs a new instance using a `NavigationManager` instance and a route to follow during guidance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(GuidanceStreetLabelListener listener)` Adds a `GuidanceStreetLabelListener`.
    `protected void` | `handleGpsLost()` Notifies when GPS signal is lost.
    `protected void` | `handleGpsRestore()` Notifies when GPS signal is restored.
    `void` | `handleManeuverEvent()` Called after resuming the presenter.
    `void` | `handleNewInstructionEvent()` Notifies on new instruction events generated by `NavigationManager`.
    `void` | `removeListener(GuidanceStreetLabelListener listener)` Remove a `GuidanceStreetLabelListener`.

    - ### Methods inherited from class com.here.msdkui.guidance.base.BaseGuidancePresenter

      `disableSpeedWarnings, enableSpeedWarnings, getAfterNextManeuver, getDestinationDistance, getEta, getNextManeuver, getNextManeuverDistance, getRoute, getTimeToArrival, handlePositionUpdate, handleRerouteBegin, handleRerouteEnd, handleRerouteFailed, handleSpeedExceeded, handleSpeedExceededEnd, pause, resume, setRoute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuidanceStreetLabelPresenter

          public GuidanceStreetLabelPresenter(android.content.Context context,
                                              com.here.android.mpa.guidance.NavigationManager navigationManager,
                                              com.here.android.mpa.routing.Route route)

      Constructs a new instance using a `NavigationManager` instance and a route to follow during guidance.
      Parameters:
        `context` - the required `Context`.
        `navigationManager` - a `NavigationManager`.
        `route` - a `Route`.

  - ### Method Detail

    - #### handleNewInstructionEvent

          public void handleNewInstructionEvent()

      Description copied from class: `BaseGuidancePresenter`
      Notifies on new instruction events generated by `NavigationManager`. Subclasses may override the method if they are interested in the events forwarded by `NavigationManager.NewInstructionEventListener`.
      Overrides:
        `handleNewInstructionEvent` in class `BaseGuidancePresenter`

    - #### handleManeuverEvent

          public void handleManeuverEvent()

      Description copied from class: `BaseGuidancePresenter`
      Called after resuming the presenter. Subclasses may override for custom needs.
      Overrides:
        `handleManeuverEvent` in class `BaseGuidancePresenter`

    - #### handleGpsLost

          protected void handleGpsLost()

      Description copied from class: `BaseGuidancePresenter`
      Notifies when GPS signal is lost.
      Overrides:
        `handleGpsLost` in class `BaseGuidancePresenter`

    - #### handleGpsRestore

          protected void handleGpsRestore()

      Description copied from class: `BaseGuidancePresenter`
      Notifies when GPS signal is restored.
      Overrides:
        `handleGpsRestore` in class `BaseGuidancePresenter`

    - #### addListener

          public void addListener(GuidanceStreetLabelListener listener)

      Adds a `GuidanceStreetLabelListener`.
      Parameters:
        `listener` - the listener to add to the list of listeners.

    - #### removeListener

          public void removeListener(GuidanceStreetLabelListener listener)

      Remove a `GuidanceStreetLabelListener`.
      Parameters:
        `listener` - the listener to remove from the list of listeners.